from django.urls import path

from . import viewsets
from . import views

urlpatterns = [
    path("settings", viewsets.MyProfileViewSet.as_view({'patch': 'partial_update'}), name="my_profile_page"),
    path("me", viewsets.MyProfileViewSet.as_view({'get': 'retrieve'}), name="my_profile_page"),
    path("", viewsets.ProfileViewSet.as_view({'get': 'list'}), name="profiles_list"),
    path("block", views.BlocksView.as_view(), name="block_page"),
    path("block/<int:pk>", views.BlockView.as_view(), name="block_page"),
    path("friend", views.FriendsView.as_view(), name="friend_page"),
    path("user/<str:username>", viewsets.ProfileViewSet.as_view({'get': 'retrieve'}), name="profile_page"),
    path("id/<int:pk>", viewsets.ProfileViewSet.as_view({'get': 'retrieve_id'}), name="profile_page"),

]
